Interface STSDiscovery

All Known Implementing Classes:
STSDiscoveryImpl

public interface STSDiscovery
Client interface for the STS unauthenticated discovery endpoints.

Exposes the JSON Web Key Set used to verify tokens issued by the service (GET /jwks, operationId getJwks) and the OpenID Connect discovery document (GET /.well-known/openid-configuration, operationId getOpenIdConfiguration).

  • Method Summary

    Modifier and Type
    Method
    Description
    Returns the JSON Web Key Set (JWKS) containing the public keys used to verify tokens issued by the STS.
    Returns the OpenID Connect discovery document for the STS.
  • Method Details

    • getJwks

      Jwks getJwks()
      Returns the JSON Web Key Set (JWKS) containing the public keys used to verify tokens issued by the STS.
      Returns:
      the JSON Web Key Set
    • getOpenIdConfiguration

      OpenIdConfiguration getOpenIdConfiguration()
      Returns the OpenID Connect discovery document for the STS.
      Returns:
      the OpenID Connect discovery document